summaryrefslogtreecommitdiff
path: root/regress/usr.bin/ssh/keyscan.sh
diff options
context:
space:
mode:
Diffstat (limited to 'regress/usr.bin/ssh/keyscan.sh')
-rw-r--r--regress/usr.bin/ssh/keyscan.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/regress/usr.bin/ssh/keyscan.sh b/regress/usr.bin/ssh/keyscan.sh
new file mode 100644
index 00000000000..c1bd82de23f
--- /dev/null
+++ b/regress/usr.bin/ssh/keyscan.sh
@@ -0,0 +1,16 @@
+# $OpenBSD: keyscan.sh,v 1.1 2002/02/22 12:31:35 markus Exp $
+# Placed in the Public Domain.
+
+tid="keyscan"
+
+start_sshd
+
+for t in rsa1 rsa dsa; do
+ trace "keyscan type $t"
+ ssh-keyscan -t $t -p $PORT 127.0.0.1 127.0.0.1 127.0.0.1 \
+ > /dev/null 2>&1
+ r=$?
+ if [ $r -ne 0 ]; then
+ fail "ssh-keyscan -t $t failed with: $r"
+ fi
+done